%define apachedir /var/www/html

Name:		roundcube
Summary:	Browser-based multilingual IMAP client with an application-like user interface.
Version:	0.3.1
Release:	alt1.M51.1
License:	GPL2
Group:		Networking/Mail
URL: 		http://roundcube.net/
Packager:	Timur Batyrshin <erthad@altlinux.org>
Source0:	%{name}-%{version}.tar
Source1:	%{name}.apache.conf
#Patch1:		%{name}mail-0.1-rc1-dep-pw1.diff
#Patch2:		%name.alt.patch

BuildRequires: rpm-macros-webserver-common
Requires: webserver-common, php-engine, pear-MDB2, pear-Auth_SASL, pear-Net_SMTP, pear-Net_Socket, 
Requires: pear-Mail_Mime, pear-Mail_mimeDecode
Requires: php5-dom php5-mcrypt php5-openssl

%description
RoundCube Webmail is a browser-based multilingual IMAP client with an application-like user interface.
It provides full functionality you expect from an e-mail client, including MIME support, LDAP address book,
folder manipulation, message searching and spell checking. 
RoundCube Webmail is written in PHP and requires a MySQL or Postgres database.

%package apache
Summary: %name's apache config file
Group: System/Servers
Requires: %name = %version-%release, apache

%description apache
%name's apache config file


%prep
%setup -q
sed -i 's,php_,php5_,' .htaccess
#patch1 -p1
#patch2 -p1

%install
mkdir -p %buildroot%_datadir/%name/
install -Dpm 0644 index.php %buildroot%_datadir/%name/index.php
install -Dpm 0644 .htaccess %buildroot%_datadir/%name/.htaccess
cp -ar bin program installer plugins skins %buildroot%_datadir/%name/

cat > %buildroot%_datadir/%name/installer/.htaccess << EOF
Order Allow,Deny
Deny from all
EOF

mkdir -p %buildroot%_localstatedir/%name/
cp -ar logs/ temp/ %buildroot%_localstatedir/%name/

ln -s %_localstatedir/%name/logs/ %buildroot%_datadir/%name/
ln -s %_localstatedir/%name/temp/ %buildroot%_datadir/%name/

mkdir -p %buildroot%_sysconfdir/%name/
cp -ar config/* %buildroot%_sysconfdir/%name/
ln -s  %_sysconfdir/%name/ %buildroot%_datadir/%name/config

install -pD -m0644 %SOURCE1 %buildroot%_sysconfdir/httpd/conf/addon-modules.d/%name.conf

%post apache
service httpd condreload

%postun apache
service httpd condreload


%files
%_datadir/%name/
%dir %attr(2775,root,%webserver_group) %_localstatedir/%name/
%dir %attr(2775,root,%webserver_group) %_localstatedir/%name/logs/
%dir %attr(2775,root,%webserver_group) %_localstatedir/%name/temp/
%dir %attr(0750,root,%webserver_group) %_sysconfdir/%name/
%config(noreplace) %attr(0640,root,%webserver_group) %_sysconfdir/%name/*
%doc CHANGELOG INSTALL LICENSE README UPGRADING SQL/

%files apache
%_sysconfdir/httpd/conf/addon-modules.d/%name.conf

%changelog
* Thu Apr 22 2010 Vladimir V. Kamarzin <vvk@altlinux.org> 0.3.1-alt1.M51.1
- Rebuild for 5.1

* Thu Apr 22 2010 Vladimir V. Kamarzin <vvk@altlinux.org> 0.3.1-alt2
- Fix working with current pear-MDB2_Driver_pgsql (Closes: #23286)
- Add some dependencies on php modules

* Thu Dec 03 2009 Timur Batyrshin <erthad@altlinux.org> 0.3.1-alt1
- 0.3.1
- removed prepackaged PEAR etc. from rpm

* Mon Sep 28 2009 Timur Batyrshin <erthad@altlinux.org> 0.3-alt1
- 0.3 (closes #20693)

* Thu Aug 23 2007 Mikhail Pokidko <pma@altlinux.org> 0.1.rc1.1-alt3
- Added password changing patch

* Wed Aug 22 2007 Mikhail Pokidko <pma@altlinux.org> 0.1.rc1.1-alt2
- Mistypes correction

* Fri Aug 17 2007 Mikhail Pokidko <pma@altlinux.org> 0.1.rc1.1-alt1
- Initial ALT build


